- Main Page
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions | Variables
dmxcb.h File Reference

Go to the source code of this file.

## Enumerations
enum | DMXRecomputeFlag { DMX_RECOMPUTE_BOUNDING_BOX, DMX_NO_RECOMPUTE_BOUNDING_BOX }
## Functions
void | dmxSetWidthHeight (int width, int height)
void | dmxComputeWidthHeight (DMXRecomputeFlag flag)
void | dmxConnectionBlockCallback (void)
## Variables
int | dmxGlobalWidth
int | dmxGlobalHeight

## Detailed Description

Header file for connection block functions.

See also:
  dmxcb.c.

## Enumeration Type Documentation

enum DMXRecomputeFlag

dmxComputeWidthHeight can either recompute the global bounding box or not.

Enumerator:

  DMX_RECOMPUTE_BOUNDING_BOX |
  DMX_NO_RECOMPUTE_BOUNDING_BOX |

## Function Documentation

void dmxComputeWidthHeight | ( | DMXRecomputeFlag | flag | ) |

Computes the global bounding box for DMX. This may be larger than the one computed by Xinerama because of the DMX configuration file.

References DMX_NO_RECOMPUTE_BOUNDING_BOX, DMX_RECOMPUTE_BOUNDING_BOX, dmxGlobalHeight, dmxGlobalWidth, dmxInfo, dmxLog(), dmxNumScreens, dmxScreens, _DMXScreenInfo::rootXOrigin, _DMXScreenInfo::rootYOrigin, _DMXScreenInfo::scrnHeight, and _DMXScreenInfo::scrnWidth.

Referenced by dmxAdjustCursorBoundaries(), and InitOutput().

void dmxConnectionBlockCallback | ( | void |  | ) |

A callback routine that hooks into Xinerama and provides a convenient place to print summary log information during server startup. This routine does not modify any values.

References _DMXScreenInfo::beDefVisualIndex, _DMXScreenInfo::beDisplay, _DMXScreenInfo::beVisuals, connBlockScreenStart, dmxError, dmxFatal, dmxGlobalHeight, dmxGlobalWidth, dmxInfo, dmxInputLogDevices(), dmxLog(), dmxLogVisual(), and dmxScreens.

Referenced by dmxAdjustCursorBoundaries(), and InitOutput().

void dmxSetWidthHeight | ( | int | width,
|  | int | height
| ) |  |

We may want the wall dimensions to be different from the bounding box dimensions that Xinerama computes, so save those and update them here.

References dmxGlobalHeight, and dmxGlobalWidth.

Referenced by dmxConfigCopyData().

## Variable Documentation

int dmxGlobalHeight

Referenced by dmxComputeWidthHeight(), dmxConnectionBlockCallback(), dmxConsoleComputeWidthHeight(), dmxCoreMotion(), dmxGetDesktopAttributes(), and dmxSetWidthHeight().

int dmxGlobalWidth

The cursor position, in global coordinates.

Referenced by dmxComputeWidthHeight(), dmxConnectionBlockCallback(), dmxConsoleComputeWidthHeight(), dmxCoreMotion(), dmxGetDesktopAttributes(), and dmxSetWidthHeight().